%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		sratom
Version:	0.6.18
Release:	%mkrel 2
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
License:	ISC License (ISC)
Group:		System/Libraries
URL:		https://drobilla.net/software/sratom
Source0:	https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	doxygen
BuildRequires:	python3
BuildRequires:	python3-sphinx
BuildRequires:	python3-pip
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(serd-0) >= 0.32.0
BuildRequires:	pkgconfig(sord-0) >= 0.16.16
BuildRequires:	pkgconfig(lv2) >= 1.18.10
BuildRequires:	python3-sphinx-lv2-theme
BuildRequires:	python3-sphinxygen

%description
Lightweight C library for storing RDF data in memory.

%package -n %{lib_name}
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Group:		System/Libraries
Obsoletes:	%{_lib}sratom0 < 0.6.14-1

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.


%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc doc/
%{_docdir}/%{name}-0/

%files -n %{lib_name}
%license COPYING
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.6.18-2.mga10
+ Revision: 2234159
- Mageia 10 Mass Rebuild

* Tue Jan 21 2025 daviddavid <daviddavid> 0.6.18-1.mga10
+ Revision: 2140273
- new version: 0.6.18

* Sun Jan 28 2024 daviddavid <daviddavid> 0.6.16-2.mga10
+ Revision: 2035660
- fix description

* Fri Jan 26 2024 philippedidier <philippedidier> 0.6.16-1.mga10
+ Revision: 2035240
- new version 0.6.16

* Fri May 05 2023 daviddavid <daviddavid> 0.6.14-4.mga9
+ Revision: 1955885
- fix owner of include dir
- fix description

* Sun Dec 11 2022 philippedidier <philippedidier> 0.6.14-3.mga9
+ Revision: 1920713
- allow build of debug pkg

* Sun Dec 11 2022 philippedidier <philippedidier> 0.6.14-2.mga9
+ Revision: 1920700
- new version 0.6.14  -built with meson instead of waf

* Fri Apr 01 2022 umeabot <umeabot> 0.6.8-2.mga9
+ Revision: 1838563
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 0.6.8-1.mga9
+ Revision: 1697162
- new version: 0.6.8

* Wed Oct 14 2020 luigiwalser <luigiwalser> 0.6.6-1.mga8
+ Revision: 1636059
- 0.6.6
- add upstream patch via fedora to fix build with doxygen

* Wed Jul 01 2020 daviddavid <daviddavid> 0.6.4-2.mga8
+ Revision: 1600979
- compile with system waf (from archlinux)

* Wed Jul 01 2020 zezinho <zezinho> 0.6.4-1.mga8
+ Revision: 1600931
- new version 0.6.4

* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-2.mga8
+ Revision: 1521729
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.6.2-1.mga7
+ Revision: 1346481
- 0.6.2

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1301164
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.6.0-1.mga6
+ Revision: 1079358
- 0.6.0

* Wed Feb 17 2016 umeabot <umeabot> 0.4.6-5.mga6
+ Revision: 962918
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.4.6-4.mga6
+ Revision: 894946
- rebuild for lv2-1.12.0

* Wed Oct 15 2014 umeabot <umeabot> 0.4.6-3.mga5
+ Revision: 746919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.6-2.mga5
+ Revision: 689313
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.4.6-1.mga5
+ Revision: 669730
- new version 0.4.6

* Thu May 08 2014 barjac <barjac> 0.4.4-2.mga5
+ Revision: 621144
- rebuild against lv2-1.8.0

* Fri Mar 07 2014 barjac <barjac> 0.4.4-1.mga5
+ Revision: 600627
- new version 0.4.4

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-5.mga4
+ Revision: 533089
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 barjac <barjac> 0.4.2-4.mga4
+ Revision: 471443
- rebuild against new lv2

* Sat Jul 13 2013 wally <wally> 0.4.2-3.mga4
+ Revision: 453819
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 barjac <barjac> 0.4.2-2.mga4
+ Revision: 453688
- rebuild against lv2-1.4

* Sat Jul 13 2013 philippedidier <philippedidier> 0.4.2-1.mga4
+ Revision: 453637
- new version 0.4.2

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 382610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.4.0-1.mga3
+ Revision: 321469
- spec clean
- Import from mandriva


* Sat Aug 25 2012 Frank Kober <emuse@mandriva.org> 0.4.0-1mdv2012.0
+ Revision: 815738
- new version 0.4.0

* Mon Apr 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.2.0-1
+ Revision: 792904
- BR:sord-devel
- BR: lv2
- imported package sratom

